SDL_GetWindowFlags(3)

NAME
SDL_GetWindowFlags - Get the window flags.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_WindowFlags SDL_GetWindowFlags(SDL_Window *window);

FUNCTION PARAMETERS

window
    the window to query.

RETURN VALUE
( SDL_WindowFlags ) Returns a mask of the

SDL_WindowFlags
 associated with window .

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_CreateWindow(3), •(3), SDL_HideWindow(3), •(3), SDL_MaximizeWindow(3), •(3), SDL_MinimizeWindow(3), •(3), SDL_SetWindowFullscreen(3), •(3), SDL_SetWindowMouseGrab(3), •(3), SDL_ShowWindow(3)